<!--
SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later
-->

Dune-Assembler
==============

An assembler module based on dune-functions.
Notice that dune-assembler is in an early development
phase and should be considered **highly experimental**.
Currently any interface can change without deprecation.
When using dune-assembler you should thus follow the
development and discussion.

Dependencies
------------

The dune-assembler module depends on the dune core modules

- dune-common
- dune-geometry
- dune-grid
- dune-localfunctions
- dune-istl

as well as the extension modules

- dune-uggrid
- dune-typetree
- dune-functions

Furthermore dune-assembler requires a C++20 compiler.
